# FTXUI: SenderImpl< T > Class Template Reference

Loading...
Searching...
No Matches
SenderImpl< T > Class Template Reference

`#include <receiver.hpp>`

## Public Member Functions

| SenderImpl (const SenderImpl &)=delete
| SenderImpl (SenderImpl &&)=delete
SenderImpl & | operator= (const SenderImpl &)=delete
SenderImpl & | operator= (SenderImpl &&)=delete
void | Send (T t)
| ~SenderImpl ()
Sender< T > | Clone ()

## Detailed Description

template<class T>
class ftxui::SenderImpl< T >

Definition at line 63 of file receiver.hpp.

## Constructor & Destructor Documentation

## SenderImpl() [1/2]

template<class T >

SenderImpl | ( | const SenderImpl< T > & |  | ) |

delete

## SenderImpl() [2/2]

template<class T >

SenderImpl | ( | SenderImpl< T > && |  | ) |

delete

## ~SenderImpl()

template<class T >

~SenderImpl | ( |  | ) |

inline

Definition at line 70 of file receiver.hpp.

## Member Function Documentation

## operator=() [1/2]

template<class T >

SenderImpl & operator= | ( | const SenderImpl< T > & |  | ) |

delete

## operator=() [2/2]

template<class T >

SenderImpl & operator= | ( | SenderImpl< T > && |  | ) |

delete

## Send()

template<class T >

void Send | ( | T | t | ) |

inline

Definition at line 69 of file receiver.hpp.

## Clone()

template<class T >

Sender< T > Clone | ( |  | ) |

inline

Definition at line 72 of file receiver.hpp.

The documentation for this class was generated from the following file:

- receiver.hpp